<?php
/**
 * Block Patterns
 *
 * @package physical_therapy
 * @since 1.0
 */

function physical_therapy_register_block_patterns() {
	$physical_therapy_block_pattern_categories = array(
		'physical-therapy' => array( 'label' => esc_html__( 'Physical Therapy', 'physical-therapy' ) ),
		'pages' => array( 'label' => esc_html__( 'Pages', 'physical-therapy' ) ),
	);

	$physical_therapy_block_pattern_categories = apply_filters( 'physical_therapy_physical_therapy_block_pattern_categories', $physical_therapy_block_pattern_categories );

	foreach ( $physical_therapy_block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'physical_therapy_register_block_patterns', 9 );